# GRFFileProps Struct Reference

Data related to the handling of grf files. More...

`#include <industrytype.h>`

## Data Fields
uint16 | subst_id
uint16 | local_id
| id defined by the grf file for this industry
struct SpriteGroup * | spritegroup
| pointer to the different sprites of the industry
struct GRFFile * | grffile
| grf file that introduced this industry
uint16 | override
| id of the entity been replaced by

## Detailed Description

Data related to the handling of grf files.

Common to both industry and industry tile

Definition at line 98 of file industrytype.h.

The documentation for this struct was generated from the following file:

- src/industrytype.h